Package org.apache.felix.framework.util

# Class SecurityManagerEx

java.lang.Object
java.lang.SecurityManager
org.apache.felix.framework.util.SecurityManagerEx

public class SecurityManagerEx extends SecurityManager

Simple utility class used to provide public access to the protected `getClassContext()` method of `SecurityManager`

## Constructor Summary

Constructors
Constructor
Description
`SecurityManagerEx()`

## Method Summary

Modifier and Type
Method
Description
`Class[]`
`getClassContext()`

### Methods inherited from class java.lang.SecurityManager

`checkAccept, checkAccess, checkAccess, checkConnect, checkConnect, checkCreateClassLoader, checkDelete, checkExec, checkExit, checkLink, checkListen, checkMulticast, checkMulticast, checkPackageAccess, checkPackageDefinition, checkPermission, checkPermission, checkPrintJobAccess, checkPropertiesAccess, checkPropertyAccess, checkRead, checkRead, checkRead, checkSecurityAccess, checkSetFactory, checkWrite, checkWrite, getSecurityContext, getThreadGroup`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### SecurityManagerEx

public SecurityManagerEx()

## Method Details

### getClassContext

public Class[] getClassContext()

Overrides:
  `getClassContext` in class `SecurityManager`